rem Makes version of image %1 with histogram that matches the histogram of image %2.
rem Optional %3 is output file.
@rem
@rem Can also use:
@rem   mhCOL_SP_IN eg -colorspace Lab -channel R
@rem   mhCOL_SP_OUT eg +channel -colorspace sRGB
@rem   mhDEBUG if 1, makes a file of the clut used.


@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

rem @call echoOffSave

call %PICTBAT%setInOut %1 mh

if not "%3"=="" set OUTFILE=%3

if "%mhDEBUG%"=="1" (
  set WR_CLUT= ^( +clone +write %INNAME%_mhcl.miff +delete ^)
) else (
  set WR_CLUT=
)

%IMDEV%convert ^
  %INFILE% ^
  ( -clone 0 ^
    -process 'mkhisto cumul norm' ^
  ) ^
  ( %2 ^
    -process 'mkhisto cumul norm' ^
    -process 'mkhisto cumul norm' ^
  ) ^
  ( -clone 1-2 -clut ) ^
  -delete 1-2 ^
  %WR_CLUT% ^
  -clut ^
  %OUTFILE%


call echoRestore

@endlocal & set mhOUTFILE=%OUTFILE%

