rem From image %1, assumed white image on black background,
rem feathers the edge %2 pixels inside and %3 pixels outside.
rem Optional %4 is output file.

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 fe

if not "%4"=="" set OUTFILE=%4


set PIX_IN=%2
if "%PIX_IN%"=="" set PIX_IN=5

set PIX_OUT=%3
if "%PIX_OUT%"=="" set PIX_OUT=5

set BOTH=0
if not %PIX_OUT%==0 if not %PIX_IN%==0 set BOTH=1

set DIST_KNL=Euclidean:7

if %BOTH%==1 (
  set /A NUM_IN=%PIX_OUT%+%PIX_IN%

  %IM%convert ^
    %INFILE% ^
    -negate ^
      -morphology Distance "%DIST_KNL%,%PIX_OUT%^!" ^
      -fill #000 +opaque #fff ^
      -negate ^
    -morphology Distance "%DIST_KNL%,!NUM_IN!^!" ^
    %OUTFILE%
) else if not %PIX_OUT%==0 (
  %IM%convert ^
    %INFILE% ^
    -negate ^
      -morphology Distance "%DIST_KNL%,%PIX_OUT%^!" ^
      -negate ^
    %OUTFILE%
) else if not %PIX_IN%==0 (
  %IM%convert ^
    %INFILE% ^
    -morphology Distance "%DIST_KNL%,%PIX_IN%^!" ^
    %OUTFILE%
) else (
  %IM%convert ^
    %INFILE% ^
    %OUTFILE%
)


@call echoRestore

endlocal & set feOUTFILE=%OUTFILE%
