rem Makes version of image %1 with L of Lab histogram that matches a Gaussian distribution.
rem Optional %3 is output file.
@rem
@rem Can also use:
@rem   mgGAUSS eg width 65536 sd 20%% zeroize

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 mg

if not "%3"=="" set OUTFILE=%3


set TEMPEXT=miff


if "%mgGAUSS%"=="" set mgGAUSS=width 65536 sd 20%% zeroize

set mgGAUSS=mkgauss %mgGAUSS% cumul norm

%IMDEV%convert ^
  ( %INFILE% ^
    -colorspace LAB -channel R -separate -set colorspace sRGB ^
    -process 'mkhisto cumul norm' ^
    +depth +write mg_w_i1_L_chist.miff ^
    +delete ^
  ) ^
  ( xc: ^
    -process '%mgGAUSS%' ^
    -delete 0 ^
    -process 'mkhisto cumul norm' ^
    +write mg_gauss.miff ^
  ) ^
  NULL:

%IM%convert ^
  mg_w_i1_L_chist.miff ^
  mg_gauss.miff ^
  -clut ^
  mg_w_t_L_ixt.miff

%IM%convert ^
  %INFILE% ^
  -colorspace Lab -channel R ^
  mg_w_t_L_ixt.miff ^
  -clut ^
  +channel -colorspace sRGB ^
  %OUTFILE%


call echoRestore

@endlocal & set mgOUTFILE=%OUTFILE%
